aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFangyin Hu <fangyinx.hu@intel.com>2017-06-22 02:32:56 -0700
committerHu Fangyin <fangyinx.hu@intel.com>2017-06-22 13:22:54 +0000
commit2a17b5c9e6746cff71eff0e0a9c6f822eb6645f8 (patch)
tree62144f25530f5108d8704ed1a8a9dd81c8cd05b7
parent726734466b81e83983b81b75d92c27612d47e68d (diff)
Fix the tcpdump start issue.
Change-Id: I529899bdc031e8d5e367bad5a829857c2c83a3ba Signed-off-by: Fangyin Hu <fangyinx.hu@intel.com>
-rwxr-xr-xnsh_sfc_tests/sfc_scripts/start_tcpdump.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/nsh_sfc_tests/sfc_scripts/start_tcpdump.sh b/nsh_sfc_tests/sfc_scripts/start_tcpdump.sh
index 9d51e667bd..46f8217e26 100755
--- a/nsh_sfc_tests/sfc_scripts/start_tcpdump.sh
+++ b/nsh_sfc_tests/sfc_scripts/start_tcpdump.sh
@@ -6,6 +6,11 @@ PWDDIR=$(pwd)
cd ${ROOTDIR}/nsh_sfc_tests/sfc_scripts/
sudo rm -f temp_packet.pcap
-sudo tcpdump -i $1 -c 1 -w temp_packet.pcap dst host $2 >/dev/null 2>&1 &
+sudo /usr/sbin/tcpdump -i $1 -c 1 -w temp_packet.pcap dst host $2 &
+
+if [ ! $? -eq 0 ]; then
+ echo "Start the tcpdump failed!!!"
+ exit 1
+fi
cd ${PWDDIR}